Bug 1306787 - wayland-devel manpages are sourcing a non-existent page
wayland-devel manpages are sourcing a non-existent page
Status: NEW
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 12:43 EST by Michal Jaegermann
Modified: 2018-05-03 14:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2016-02-11 12:43:59 EST
Description of problem:
A number of manpages, at least those

/usr/share/man/man3/wl_array_add.3.gz
/usr/share/man/man3/wl_array_copy.3.gz
/usr/share/man/man3/wl_array_for_each.3.gz
/usr/share/man/man3/wl_array_init.3.gz
/usr/share/man/man3/wl_array_release.3.gz
/usr/share/man/man3/wl_container_of.3.gz
/usr/share/man/man3/wl_dispatcher_func_t.3.gz
/usr/share/man/man3/wl_fixed_t.3.gz
/usr/share/man/man3/wl_list_empty.3.gz
/usr/share/man/man3/wl_list_for_each.3.gz
/usr/share/man/man3/wl_list_for_each_reverse.3.gz
/usr/share/man/man3/wl_list_for_each_reverse_safe.3.gz
/usr/share/man/man3/wl_list_for_each_safe.3.gz
/usr/share/man/man3/wl_list_init.3.gz
/usr/share/man/man3/wl_list_insert.3.gz
/usr/share/man/man3/wl_list_insert_list.3.gz
/usr/share/man/man3/wl_list_length.3.gz
/usr/share/man/man3/wl_list_remove.3.gz
/usr/share/man/man3/wl_log_func_t.3.gz

contain '.so man3/wayland-util.h.3'.  The only trouble is that man3/wayland-util.h.3 is nowhere to be found.

Version-Release number of selected component (if applicable):
wayland-1.9.92-1.fc24

Expected results:
A command like 'man wl_array_add' displays documentation instead of an error message.
Comment 1 Jan Kurik 2016-02-24 09:30:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Michal Jaegermann 2017-02-04 20:10:41 EST
Not only this was not fixed but a list of manpage which only pretend to be there grew up substantially.  On my current rawhide installation if you will try 'man wl_abort' a response is:

man: can't open /usr/share/man/man3/wayland-util.c.3: No such file or directory
No manual entry for wl_abort

The same or similar issue on all entries from the following list:

 /usr/share/man/man3/wl_abort.3.gz
 /usr/share/man/man3/wl_array_add.3.gz
 /usr/share/man/man3/wl_array_copy.3.gz
 /usr/share/man/man3/wl_array_for_each.3.gz
 /usr/share/man/man3/wl_array_init.3.gz
 /usr/share/man/man3/wl_array_release.3.gz
 /usr/share/man/man3/wl_client_add_destroy_listener.3.gz
 /usr/share/man/man3/wl_client_add_object.3.gz
 /usr/share/man/man3/wl_client_add_resource.3.gz
 /usr/share/man/man3/wl_client_add_resource_created_listener.3.gz
 /usr/share/man/man3/wl_client_connection_data.3.gz
 /usr/share/man/man3/wl_client_create.3.gz
 /usr/share/man/man3/wl_client_destroy.3.gz
 /usr/share/man/man3/wl_client_flush.3.gz
 /usr/share/man/man3/wl_client_for_each.3.gz
 /usr/share/man/man3/wl_client_for_each_resource.3.gz
 /usr/share/man/man3/wl_client_for_each_resource_iterator_func_t.3.gz
 /usr/share/man/man3/wl_client_from_link.3.gz
 /usr/share/man/man3/wl_client_get_credentials.3.gz
 /usr/share/man/man3/wl_client_get_destroy_listener.3.gz
 /usr/share/man/man3/wl_client_get_display.3.gz
 /usr/share/man/man3/wl_client_get_fd.3.gz
 /usr/share/man/man3/wl_client_get_link.3.gz
 /usr/share/man/man3/wl_client_get_object.3.gz
 /usr/share/man/man3/wl_client_new_object.3.gz
 /usr/share/man/man3/wl_client_post_no_memory.3.gz
 /usr/share/man/man3/wl_container_of.3.gz
 /usr/share/man/man3/wl_dispatcher_func_t.3.gz
 /usr/share/man/man3/wl_display_add_client_created_listener.3.gz
 /usr/share/man/man3/wl_display_add_destroy_listener.3.gz
 /usr/share/man/man3/wl_display_add_global.3.gz
 /usr/share/man/man3/wl_display_add_protocol_logger.3.gz
 /usr/share/man/man3/wl_display_add_shm_format.3.gz
 /usr/share/man/man3/wl_display_add_socket.3.gz
 /usr/share/man/man3/wl_display_add_socket_auto.3.gz
 /usr/share/man/man3/wl_display_add_socket_fd.3.gz
 /usr/share/man/man3/wl_display_cancel_read.3.gz
 /usr/share/man/man3/wl_display_create.3.gz
 /usr/share/man/man3/wl_display_create_queue.3.gz
 /usr/share/man/man3/wl_display_destroy.3.gz
 /usr/share/man/man3/wl_display_disconnect.3.gz
 /usr/share/man/man3/wl_display_dispatch.3.gz
 /usr/share/man/man3/wl_display_dispatch_pending.3.gz
 /usr/share/man/man3/wl_display_dispatch_queue.3.gz
 /usr/share/man/man3/wl_display_dispatch_queue_pending.3.gz
 /usr/share/man/man3/wl_display_flush.3.gz
 /usr/share/man/man3/wl_display_flush_clients.3.gz
 /usr/share/man/man3/wl_display_get_client_list.3.gz
 /usr/share/man/man3/wl_display_get_destroy_listener.3.gz
 /usr/share/man/man3/wl_display_get_error.3.gz
 /usr/share/man/man3/wl_display_get_event_loop.3.gz
 /usr/share/man/man3/wl_display_get_fd.3.gz
 /usr/share/man/man3/wl_display_get_protocol_error.3.gz
 /usr/share/man/man3/wl_display_get_serial.3.gz
 /usr/share/man/man3/wl_display_init_shm.3.gz
 /usr/share/man/man3/wl_display_next_serial.3.gz
 /usr/share/man/man3/wl_display_poll.3.gz
 /usr/share/man/man3/wl_display_prepare_read.3.gz
 /usr/share/man/man3/wl_display_prepare_read_queue.3.gz
 /usr/share/man/man3/wl_display_read_events.3.gz
 /usr/share/man/man3/wl_display_remove_global.3.gz
 /usr/share/man/man3/wl_display_roundtrip.3.gz
 /usr/share/man/man3/wl_display_roundtrip_queue.3.gz
 /usr/share/man/man3/wl_display_run.3.gz
 /usr/share/man/man3/wl_display_terminate.3.gz
 /usr/share/man/man3/wl_event_loop_add_destroy_listener.3.gz
 /usr/share/man/man3/wl_event_loop_add_fd.3.gz
 /usr/share/man/man3/wl_event_loop_add_idle.3.gz
 /usr/share/man/man3/wl_event_loop_add_signal.3.gz
 /usr/share/man/man3/wl_event_loop_add_timer.3.gz
 /usr/share/man/man3/wl_event_loop_create.3.gz
 /usr/share/man/man3/wl_event_loop_destroy.3.gz
 /usr/share/man/man3/wl_event_loop_dispatch.3.gz
 /usr/share/man/man3/wl_event_loop_dispatch_idle.3.gz
 /usr/share/man/man3/wl_event_loop_fd_func_t.3.gz
 /usr/share/man/man3/wl_event_loop_get_destroy_listener.3.gz
 /usr/share/man/man3/wl_event_loop_get_fd.3.gz
 /usr/share/man/man3/wl_event_loop_idle_func_t.3.gz
 /usr/share/man/man3/wl_event_loop_signal_func_t.3.gz
 /usr/share/man/man3/wl_event_loop_timer_func_t.3.gz
 /usr/share/man/man3/wl_event_queue_destroy.3.gz
 /usr/share/man/man3/wl_event_queue_init.3.gz
 /usr/share/man/man3/wl_event_queue_release.3.gz
 /usr/share/man/man3/wl_event_source_check.3.gz
 /usr/share/man/man3/wl_event_source_fd_update.3.gz
 /usr/share/man/man3/wl_event_source_remove.3.gz
 /usr/share/man/man3/wl_event_source_timer_update.3.gz
 /usr/share/man/man3/wl_fixed_from_double.3.gz
 /usr/share/man/man3/wl_fixed_from_int.3.gz
 /usr/share/man/man3/wl_fixed_t.3.gz
 /usr/share/man/man3/wl_fixed_to_double.3.gz
 /usr/share/man/man3/wl_fixed_to_int.3.gz
 /usr/share/man/man3/wl_global_bind_func_t.3.gz
 /usr/share/man/man3/wl_global_create.3.gz
 /usr/share/man/man3/wl_global_destroy.3.gz
 /usr/share/man/man3/wl_interface_equal.3.gz
 /usr/share/man/man3/wl_iterator_result.3.gz
 /usr/share/man/man3/wl_list_empty.3.gz
 /usr/share/man/man3/wl_list_for_each.3.gz
 /usr/share/man/man3/wl_list_for_each_reverse.3.gz
 /usr/share/man/man3/wl_list_for_each_reverse_safe.3.gz
 /usr/share/man/man3/wl_list_for_each_safe.3.gz
 /usr/share/man/man3/wl_list_init.3.gz
 /usr/share/man/man3/wl_list_insert.3.gz
 /usr/share/man/man3/wl_list_insert_list.3.gz
 /usr/share/man/man3/wl_list_length.3.gz
 /usr/share/man/man3/wl_list_remove.3.gz
 /usr/share/man/man3/wl_log.3.gz
 /usr/share/man/man3/wl_log_func_t.3.gz
 /usr/share/man/man3/wl_log_handler.3.gz
 /usr/share/man/man3/wl_log_set_handler_client.3.gz
 /usr/share/man/man3/wl_log_set_handler_server.3.gz
 /usr/share/man/man3/wl_log_stderr_handler.3.gz
 /usr/share/man/man3/wl_notify_func_t.3.gz
 /usr/share/man/man3/wl_protocol_logger_destroy.3.gz
 /usr/share/man/man3/wl_protocol_logger_func_t.3.gz
 /usr/share/man/man3/wl_protocol_logger_type.3.gz
 /usr/share/man/man3/wl_proxy_add_dispatcher.3.gz
 /usr/share/man/man3/wl_proxy_add_listener.3.gz
 /usr/share/man/man3/wl_proxy_create.3.gz
 /usr/share/man/man3/wl_proxy_create_for_id.3.gz
 /usr/share/man/man3/wl_proxy_create_wrapper.3.gz
 /usr/share/man/man3/wl_proxy_destroy.3.gz
 /usr/share/man/man3/wl_proxy_get_class.3.gz
 /usr/share/man/man3/wl_proxy_get_id.3.gz
 /usr/share/man/man3/wl_proxy_get_listener.3.gz
 /usr/share/man/man3/wl_proxy_get_user_data.3.gz
 /usr/share/man/man3/wl_proxy_get_version.3.gz
 /usr/share/man/man3/wl_proxy_marshal.3.gz
 /usr/share/man/man3/wl_proxy_marshal_array.3.gz
 /usr/share/man/man3/wl_proxy_marshal_array_constructor.3.gz
 /usr/share/man/man3/wl_proxy_marshal_array_constructor_versioned.3.gz
 /usr/share/man/man3/wl_proxy_marshal_constructor.3.gz
 /usr/share/man/man3/wl_proxy_marshal_constructor_versioned.3.gz
 /usr/share/man/man3/wl_proxy_set_queue.3.gz
 /usr/share/man/man3/wl_proxy_set_user_data.3.gz
 /usr/share/man/man3/wl_resource_post_error.3.gz
 /usr/share/man/man3/wl_resource_post_event.3.gz
 /usr/share/man/man3/wl_resource_post_event_array.3.gz
 /usr/share/man/man3/wl_resource_post_no_memory.3.gz
 /usr/share/man/man3/wl_resource_queue_event.3.gz
 /usr/share/man/man3/wl_resource_queue_event_array.3.gz
 /usr/share/man/man3/wl_resource_set_destructor.3.gz
 /usr/share/man/man3/wl_resource_set_dispatcher.3.gz
 /usr/share/man/man3/wl_resource_set_implementation.3.gz
 /usr/share/man/man3/wl_resource_set_user_data.3.gz
 /usr/share/man/man3/wl_shm_buffer_begin_access.3.gz
 /usr/share/man/man3/wl_shm_buffer_create.3.gz
 /usr/share/man/man3/wl_shm_buffer_end_access.3.gz
 /usr/share/man/man3/wl_shm_buffer_get.3.gz
 /usr/share/man/man3/wl_shm_buffer_get_data.3.gz
 /usr/share/man/man3/wl_shm_buffer_get_format.3.gz
 /usr/share/man/man3/wl_shm_buffer_get_height.3.gz
 /usr/share/man/man3/wl_shm_buffer_get_stride.3.gz
 /usr/share/man/man3/wl_shm_buffer_get_width.3.gz
 /usr/share/man/man3/wl_shm_buffer_ref_pool.3.gz
 /usr/share/man/man3/wl_shm_old_sigbus_action.3.gz
 /usr/share/man/man3/wl_shm_pool_unref.3.gz
 /usr/share/man/man3/wl_shm_sigbus_data_key.3.gz
 /usr/share/man/man3/wl_shm_sigbus_once.3.gz
 /usr/share/man/man3/wl_socket_alloc.3.gz
 /usr/share/man/man3/wl_socket_destroy.3.gz
 /usr/share/man/man3/wl_socket_init_for_display_name.3.gz
 /usr/share/man/man3/wl_socket_lock.3.gz
Comment 3 Michal Jaegermann 2017-02-04 20:15:04 EST
> Not only this was not fixed ....

BTW - running 'mandb' _without_ '-q' option shows right away which manpages have issues and of what kind
Comment 4 Fedora End Of Life 2017-02-28 04:54:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 5 Fedora End Of Life 2018-05-03 04:44:03 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Michal Jaegermann 2018-05-03 13:39:48 EDT
The same issue still affects at least wayland-1.14.0-2.fc27.  The following manpages attempt to source a non-existent man3/wayland-util.h.3:

wl_container_of.3
wl_dispatcher_func_t.3
wl_fixed_from_double.3
wl_fixed_from_int.3
wl_fixed_t.3
wl_fixed_to_double.3
wl_fixed_to_int.3
wl_iterator_result.3
wl_log_func_t.3
Comment 7 Michal Jaegermann 2018-05-03 14:02:24 EDT
Looking more at this in addition to the above there are other files which attempt to source not provided:

wayland-client.c.3
wayland-client-core.h.3
wayland-server.c.3
wayland-server-core.h.3
wayland-server.h.3
wayland-shm.c.3

Here is the list:

wl_client_add_destroy_listener.3
wl_client_add_object.3
wl_client_add_resource.3
wl_client_add_resource_created_listener.3
wl_client_connection_data.3
wl_client_create.3
wl_client_destroy.3
wl_client_flush.3
wl_client_for_each.3
wl_client_for_each_resource.3
wl_client_for_each_resource_iterator_func_t.3
wl_client_from_link.3
wl_client_get_credentials.3
wl_client_get_destroy_listener.3
wl_client_get_display.3
wl_client_get_fd.3
wl_client_get_link.3
wl_client_get_object.3
wl_client_new_object.3
wl_client_post_no_memory.3
wl_display_add_client_created_listener.3
wl_display_add_destroy_listener.3
wl_display_add_global.3
wl_display_add_protocol_logger.3
wl_display_add_shm_format.3
wl_display_add_socket.3
wl_display_add_socket_auto.3
wl_display_add_socket_fd.3
wl_display_cancel_read.3
wl_display_create.3
wl_display_create_queue.3
wl_display_destroy.3
wl_display_disconnect.3
wl_display_dispatch.3
wl_display_dispatch_pending.3
wl_display_dispatch_queue.3
wl_display_dispatch_queue_pending.3
wl_display_flush.3
wl_display_flush_clients.3
wl_display_get_client_list.3
wl_display_get_destroy_listener.3
wl_display_get_error.3
wl_display_get_event_loop.3
wl_display_get_fd.3
wl_display_get_protocol_error.3
wl_display_get_serial.3
wl_display_global_filter_func_t.3
wl_display_init_shm.3
wl_display_next_serial.3
wl_display_poll.3
wl_display_prepare_read.3
wl_display_prepare_read_queue.3
wl_display_read_events.3
wl_display_remove_global.3
wl_display_roundtrip.3
wl_display_roundtrip_queue.3
wl_display_run.3
wl_display_set_global_filter.3
wl_display_terminate.3
wl_event_loop_add_destroy_listener.3
wl_event_loop_add_fd.3
wl_event_loop_add_idle.3
wl_event_loop_add_signal.3
wl_event_loop_add_timer.3
wl_event_loop_create.3
wl_event_loop_destroy.3
wl_event_loop_dispatch.3
wl_event_loop_dispatch_idle.3
wl_event_loop_fd_func_t.3
wl_event_loop_get_destroy_listener.3
wl_event_loop_get_fd.3
wl_event_loop_idle_func_t.3
wl_event_loop_signal_func_t.3
wl_event_loop_timer_func_t.3
wl_event_queue_destroy.3
wl_event_queue_init.3
wl_event_queue_release.3
wl_event_source_check.3
wl_event_source_fd_update.3
wl_event_source_remove.3
wl_event_source_timer_update.3
wl_global_bind_func_t.3
wl_global_create.3
wl_global_destroy.3
wl_global_get_interface.3
wl_global_get_user_data.3
wl_global_is_visible.3
wl_log_set_handler_client.3
wl_log_set_handler_server.3
wl_notify_func_t.3
wl_protocol_logger_destroy.3
wl_protocol_logger_func_t.3
wl_protocol_logger_type.3
wl_proxy_add_dispatcher.3
wl_proxy_add_listener.3
wl_proxy_create.3
wl_proxy_create_for_id.3
wl_proxy_create_wrapper.3
wl_proxy_destroy.3
wl_proxy_get_class.3
wl_proxy_get_id.3
wl_proxy_get_listener.3
wl_proxy_get_user_data.3
wl_proxy_get_version.3
wl_proxy_marshal.3
wl_proxy_marshal_array.3
wl_proxy_marshal_array_constructor.3
wl_proxy_marshal_array_constructor_versioned.3
wl_proxy_marshal_constructor.3
wl_proxy_marshal_constructor_versioned.3
wl_proxy_set_queue.3
wl_proxy_set_user_data.3
wl_proxy_wrapper_destroy.3
wl_resource_add_destroy_listener.3
wl_resource_create.3
wl_resource_destroy.3
wl_resource_destroy_func_t.3
wl_resource_find_for_client.3
wl_resource_for_each.3
wl_resource_for_each_safe.3
wl_resource_from_link.3
wl_resource_get_class.3
wl_resource_get_client.3
wl_resource_get_destroy_listener.3
wl_resource_get_id.3
wl_resource_get_link.3
wl_resource_get_user_data.3
wl_resource_get_version.3
wl_resource_instance_of.3
wl_resource_post_error.3
wl_resource_post_event.3
wl_resource_post_event_array.3
wl_resource_post_no_memory.3
wl_resource_queue_event.3
wl_resource_queue_event_array.3
wl_resource_set_destructor.3
wl_resource_set_dispatcher.3
wl_resource_set_implementation.3
wl_resource_set_user_data.3
wl_shm_buffer_begin_access.3
wl_shm_buffer_create.3
wl_shm_buffer_end_access.3
wl_shm_buffer_get.3
wl_shm_buffer_get_data.3
wl_shm_buffer_get_format.3
wl_shm_buffer_get_height.3
wl_shm_buffer_get_stride.3
wl_shm_buffer_get_width.3
wl_shm_buffer_ref_pool.3
wl_shm_old_sigbus_action.3
wl_shm_pool_unref.3
wl_shm_sigbus_data_key.3
wl_shm_sigbus_once.3
wl_socket_alloc.3
wl_socket_destroy.3
wl_socket_init_for_display_name.3
wl_socket_lock.3

In other words from 209 manpages provided 166 is broken and 43 ok.

Note You need to log in before you can comment on or make changes to this bug.